Artboard
Config transfer

Preview what a config bundle would import

POST
/otto/api/config-transfer/import/dry-run

Request Body

application/json

POST /otto/api/config-transfer/import/dry-run Request body

envelope*
oneTimeKey*string

Response Body

application/json

application/json

curl -X POST "https://your.server.net/otto/api/config-transfer/import/dry-run" \  -H "Content-Type: application/json" \  -d '{    "envelope": {      "bundleFormatVersion": 1,      "cipher": {        "algorithm": "aes-256-gcm",        "authTag": "string",        "ciphertext": "string",        "nonce": "string"      },      "format": "ottofms-config-transfer-bundle",      "kdf": {        "algorithm": "scrypt",        "keyLength": 0,        "N": 0,        "p": 0,        "r": 0,        "salt": "string"      }    },    "oneTimeKey": "string"  }'
{
  "messages": [
    {
      "code": 0,
      "text": "ok"
    }
  ],
  "response": {}
}
{
  "messages": [
    {
      "code": 18011,
      "text": "OttoFMS sample error"
    }
  ],
  "response": {}
}

Was this page helpful?